﻿Public Class DXE
    Dim F_RX As Single  'Abfrage
    Dim F_TX As Single  'Abfrage
    Dim F_SP As Single  'Abfrage
    Dim IE = New SHDocVw.InternetExplorerMedium

    Private Sub DXE_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        'Hier die Initialisierungen
        With Me
            .B_CLI.Checked = False
            .B_CW.Checked = True
            .I_FREQ.Text = "0"
            .I_SPLIT.Text = "0"
            .Left = 830
            .Top = 3
            .Visible = True
        End With
        With IE
            .Top = 3
            .Left = 3
            .Width = 825
            .Height = 720
            .Navigate(URL:= _
            "http://www.dxsummit.fi/CustomFilter.aspx?customCount=50&customRange=7")
            .Visible = True
        End With
    End Sub

    Private Sub EINST_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles EINST.Click
        Try
            'Zuerst die Werteabfrage
            If Me.I_FREQ.Text = "" Then Me.I_FREQ.Text = "0"
            If Me.I_SPLIT.Text = "" Then Me.I_SPLIT.Text = "0"
            If B_CLI.Checked = True Then
                F_RX = My.Computer.Clipboard.GetText()          'Freq. ab Clip
            Else
                F_RX = CType(Me.I_FREQ.Text, Single)            'Freq. ab Eingabefeld
            End If
            F_SP = CType(Me.I_SPLIT.Text, Single)
            F_TX = F_RX + F_SP

            If ((F_SP > 9.9) Or (F_SP < -9.9) Or (F_TX > 30000) Or (F_TX < 100) _
            Or (F_RX > 30000) Or (F_TX < 100)) Then
                MsgBox("Fehleingabe!")
                GoTo A
            End If

            'Und nun die Einstellung des FT 2000
            With SerialPort1
                .BaudRate = 4800
                .DataBits = 8
                .StopBits = IO.Ports.StopBits.One
                .Open()

                If F_TX = F_RX Then
                    'Hier Split = No, VBO B wird wie VFO A eingestellt
                    If Me.B_CW.Checked = True Then .Write("MD03;") : .Write("MD13;")
                    If Me.B_LSB.Checked = True Then .Write("MD01;") : .Write("MD11;")
                    If Me.B_USB.Checked = True Then .Write("MD02;") : .Write("MD12;")
                    If Me.B_AM.Checked = True Then .Write("MD05;") : .Write("MD15;")
                    .Write("FR0;") : .Write("FT2;")
                    .Write("FA" + Format(F_RX * 1000, "00000000") + ";")
                    .Write("FB" + Format(F_RX * 1000, "00000000") + ";")
                ElseIf Me.B_CW.Checked = True Then
                    'Hier Split = Yes bei CW
                    .Write("FR2;") : .Write("FT3;")
                    .Write("MD03;") : .Write("MD17;")
                    .Write("FA" + Format(F_RX * 1000, "00000000") + ";")
                    .Write("FB" + Format(F_TX * 1000, "00000000") + ";")
                ElseIf Me.B_LSB.Checked = True Then
                    'Hier Split = Yes bei LSB
                    .Write("FR2;") : .Write("FT3;")
                    .Write("MD01;") : .Write("MD11;")
                    .Write("FA" + Format(F_RX * 1000, "00000000") + ";")
                    .Write("FB" + Format(F_TX * 1000, "00000000") + ";")
                ElseIf Me.B_USB.Checked = True Then
                    'Hier Split = Yes bei USB
                    .Write("FR2;") : .Write("FT3;")
                    .Write("MD02;") : .Write("MD12;")
                    .Write("FA" + Format(F_RX * 1000, "00000000") + ";")
                    .Write("FB" + Format(F_TX * 1000, "00000000") + ";")
                ElseIf Me.B_AM.Checked = True Then
                    'Bei AM gibts keinen Split, VBO B wird wie VFO A eingestellt
                    .Write("FR2;") : .Write("FT0;")
                    .Write("MD05;") : .Write("MD15;")
                    .Write("FA" + Format(F_RX * 1000, "00000000") + ";")
                    .Write("FB" + Format(F_RX * 1000, "00000000") + ";")
                End If
                .Close()
            End With
        Catch ex As Exception
            MsgBox("Fehleingabe!")
        End Try
A:
    End Sub
End Class